	IMPLICIT INTEGER (A-Z)
	BYTE ACCNAM(8),USRINP(8)
	CHARACTER*8 CHRINP
	EQUIVALENCE (CHRINP,USRINP)
	LEN=IGETCMD(USRINP,8)
	IF(LEN.NE.0) GOTO 10
	TYPE 1001
1001	FORMAT(' Account name: '$)
	ACCEPT 1002,LEN,CHRINP
1002	FORMAT(Q,A)
10	IF(LEN.NE.8) GOTO 999
	IF(USRINP(3).NE.'-') GOTO 999
	DO 20 I=1,8
	IF(I.EQ.3) GOTO 20
	IF(USRINP(I).LT.'0'.OR.USRINP(I).GT.'9') GOTO 999
20	CONTINUE
	STS=SETACC(USRINP)
	CALL EXIT(STS)
999	TYPE 1000
1000	FORMAT(' Illegal account name.')
	END
